aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xf86-video-sis/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 07:17:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 07:17:00 +0000
commit6727236e7e89a9f34e71f5a4886ad49f49e9bf33 (patch)
treef4cada57d5f23d1707fdfe7ae4bae025c0890093 /x11/xf86-video-sis/APKBUILD
parent93e030e7d464711bd5c6ac41ed5a36ef57073ad6 (diff)
downloadaports-6727236e7e89a9f34e71f5a4886ad49f49e9bf33.tar.gz
aports-6727236e7e89a9f34e71f5a4886ad49f49e9bf33.tar.bz2
aports-6727236e7e89a9f34e71f5a4886ad49f49e9bf33.tar.xz
x11/xf86-video-sis: new aport
X.org SiS video driver http://xorg.freedesktop.org/ fixes #253
Diffstat (limited to 'x11/xf86-video-sis/APKBUILD')
-rw-r--r--x11/xf86-video-sis/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/x11/xf86-video-sis/APKBUILD b/x11/xf86-video-sis/APKBUILD
new file mode 100644
index 0000000000..ad3589a3ef
--- /dev/null
+++ b/x11/xf86-video-sis/APKBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-sis
+pkgver=0.10.2
+pkgrel=0
+pkgdesc="X.org SiS video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig xorg-server-dev videoproto renderproto xproto
+ fontsproto xf86dgaproto xineramaproto randrproto xextproto mesa-dev
+ xf86driproto glproto libxi-dev"
+
+source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2
+ fix-bios-read-on-650-760.patch"
+
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -Np1 -i "$srcdir/fix-bios-read-on-650-760.patch" || return 1
+}
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
+
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="f04baa307e49e9f0e5a5c3d2e89a5576 xf86-video-sis-0.10.2.tar.bz2
+827d289307badeae3778180ab19b7363 fix-bios-read-on-650-760.patch"